# Enum Class CJ1IncludeDeleted

java.lang.Object
java.lang.Enum<CJ1IncludeDeleted>
com.io7m.cardant.protocol.inventory.json.internal.CJ1IncludeDeleted

All Implemented Interfaces:
  `CJ1ValueType`, `Serializable`, `Comparable<CJ1IncludeDeleted>`, `Constable`

public enum CJ1IncludeDeleted extends Enum<CJ1IncludeDeleted> implements CJ1ValueType
Whether to include deleted data.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INCLUDE_BOTH_LIVE_AND_DELETED`
  Include data regardless of whether it has been deleted.
  `INCLUDE_ONLY_DELETED`
  Include only data that has been deleted.
  `INCLUDE_ONLY_LIVE`
  Include only data that has not been deleted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CJ1IncludeDeleted`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CJ1IncludeDeleted[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INCLUDE_ONLY_LIVE

    public static final CJ1IncludeDeleted INCLUDE_ONLY_LIVE
    Include only data that has not been deleted.

  - ### INCLUDE_ONLY_DELETED

    public static final CJ1IncludeDeleted INCLUDE_ONLY_DELETED
    Include only data that has been deleted.

  - ### INCLUDE_BOTH_LIVE_AND_DELETED

    public static final CJ1IncludeDeleted INCLUDE_BOTH_LIVE_AND_DELETED
    Include data regardless of whether it has been deleted.

- ## Method Details

  - ### values

    public static CJ1IncludeDeleted[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CJ1IncludeDeleted valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null